Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1335180 - gluster datacenter not working in 4.0
Summary: gluster datacenter not working in 4.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Gluster
Version: 4.18.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ovirt-4.0.0-rc
: 4.18.1
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-11 13:37 UTC by Sandro Bonazzola
Modified: 2016-08-17 14:37 UTC (History)
11 users (show)

Fixed In Version: vdsm-4.18.1-0.el7ev
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-17 14:37:27 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.0.0+
rule-engine: blocker+
rule-engine: planning_ack+
sabose: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 58061 0 None None None 2016-06-13 13:27:23 UTC
oVirt gerrit 58175 0 None None None 2016-06-13 13:30:12 UTC

Description Sandro Bonazzola 2016-05-11 13:37:58 UTC
Description of problem:
Adding 1 host to a 4.0 gluster datacenters fails with:

host is named minidell.home and has id mini.
VDSM mini command failed: 'module' object has no attribute 'GlusterHost'

Gluster command [<UNKNOWN>] failed on server mini.

jsonrpc.Executor/6::DEBUG::2016-05-11 14:35:03,269::__init__::511::jsonrpc.JsonRpcServer::(_serveRequest) Calling 'Host.getHardwareInfo' in bridge with {}
jsonrpc.Executor/6::DEBUG::2016-05-11 14:35:03,270::__init__::539::jsonrpc.JsonRpcServer::(_serveRequest) Return 'Host.getHardwareInfo' in bridge with {'systemProductName': 'OptiPlex 7010', 'systemUUID': '4C4C45
44-0059-4310-8035-C4C04F595831', 'systemSerialNumber': 'DYC5YX1', 'systemVersion': '01', 'systemManufacturer': 'Dell Inc.'}
jsonrpc.Executor/7::DEBUG::2016-05-11 14:35:04,486::__init__::511::jsonrpc.JsonRpcServer::(_serveRequest) Calling 'GlusterHost.list' in bridge with {}
jsonrpc.Executor/7::ERROR::2016-05-11 14:35:04,486::__init__::532::jsonrpc.JsonRpcServer::(_serveRequest) Internal server error
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/yajsonrpc/__init__.py", line 527, in _serveRequest
    res = method(**params)
  File "/usr/lib/python2.7/site-packages/vdsm/rpc/Bridge.py", line 250, in _dynamicMethod
    api = self._get_api_instance(className, argobj)
  File "/usr/lib/python2.7/site-packages/vdsm/rpc/Bridge.py", line 171, in _get_api_instance
    apiObj = getattr(API, className)
AttributeError: 'module' object has no attribute 'GlusterHost'

Comment 1 Yaniv Lavi 2016-05-23 13:24:59 UTC
oVirt 4.0 beta has been released, moving to RC milestone.

Comment 2 Yaniv Lavi 2016-05-23 13:26:03 UTC
oVirt 4.0 beta has been released, moving to RC milestone.

Comment 3 Sahina Bose 2016-06-13 12:54:11 UTC
Ramesh, can you check if all patches that fix this are in 4.0 branch?

Comment 4 Ramesh N 2016-06-13 13:30:12 UTC
These bugs where already fixed in upstream vdsm-4.18.1. Hence moving the bug to ON_QA.

Comment 5 Ramesh N 2016-06-15 09:04:44 UTC
Doc text not required as this bug was never reported from a GAed version.

Comment 6 Jiri Belka 2016-07-22 13:58:35 UTC
fyi i have had SHE with glusterfs hosted storage and glusterfs data domain working fine on 4.x

ovirt-engine-4.0.3-0.0.master.20160720203246.git9c88731.el7.centos.noarch

Comment 7 Jiri Belka 2016-07-22 14:01:51 UTC
(In reply to Jiri Belka from comment #6)
> fyi i have had SHE with glusterfs hosted storage and glusterfs data domain
> working fine on 4.x
> 
> ovirt-engine-4.0.3-0.0.master.20160720203246.git9c88731.el7.centos.noarch

ah, my env was SHE migration from 3.6, thus the dc/cl compat was still 3.6.

Comment 8 Ramesh N 2016-07-22 14:10:03 UTC
(In reply to Jiri Belka from comment #7)
> (In reply to Jiri Belka from comment #6)
> > fyi i have had SHE with glusterfs hosted storage and glusterfs data domain
> > working fine on 4.x
> > 
> > ovirt-engine-4.0.3-0.0.master.20160720203246.git9c88731.el7.centos.noarch
> 
> ah, my env was SHE migration from 3.6, thus the dc/cl compat was still 3.6.

Moreover, this issue was about managing gluster volumes/hosts in Ovirt. Glusterfs storage domain use case was not affected.

Comment 9 SATHEESARAN 2016-08-16 14:49:43 UTC
Added the RHGS Node with upstream vdsm-gluster-4.17.33-1.el7rhgs.noarch.

Able to successfully add the gluster node to 4.0 DC


Note You need to log in before you can comment on or make changes to this bug.